<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->increments('id');
            $table->string('firstname');
            $table->string('lastname');
            $table->string('email')->unique();
            $table->string('password');
            $table->string('rank')->default(1);
            $table->string('adress')->default('unknown');
            $table->string('telephone')->default('unknown');
            $table->string('age');
            $table->string('avatar')->default('1');
            $table->string('sexe');
            $table->string('job')->default(6);
            $table->string('acces_level')->default('unknown');
            $table->string('schedule_see')->default('unknown');        
            $table->string('schedule_edit')->default('unknown');      
            $table->string('schedule_notify')->default('unknown');        
            $table->string('message_see')->default('unknown');       
            $table->string('message_edit')->default('unknown');      
            $table->string('message_notify')->default('unknown');               
            $table->string('paper_edit')->default('unknown');     
            $table->string('paper_publish')->default('unknown');   
            $table->string('paper_notify')->default('unknown');                   
            $table->string('inventory_see')->default('unknown');        
            $table->string('inventory_edit')->default('unknown');         
            $table->string('inventory_notify')->default('unknown');          
            $table->string('user_see')->default('unknown');       
            $table->string('user_edit')->default('unknown');        
            $table->string('user_notify')->default('unknown');
            $table->string('api_token', 60)->unique()->default(str_shuffle(str_random(60)));
            $table->rememberToken();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
